Ubuntu

In Maverick 'About Ubuntu' displays Natty info

Reported by Erick Brunzell on 2010-12-14
408
This bug affects 67 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
High
Unassigned
ubuntu-docs (Ubuntu)
High
Unassigned
Maverick
Medium
Matthew East

Bug Description

Binary package hint: ubuntu-docs

[SRU for Maverick]
 * This bug makes users very confused because telling using 11.04 in spite of using 10.10.
 * This bug was introduced in Maverick SRU 10.10.4.
 * Just documentation fix.
   - debdiff: http://launchpadlibrarian.net/61514563/ubuntu-docs_10.10.4.debdiff

TEST CASE:
 1. Open "System" -> "About Ubuntu" from GNOME menu
 2. Get the wrong text "You are using Ubuntu 11.04 - the Natty Narwhal - released in April 2011 and supported until October 2012."
 3. upgrade to -proposed package
 4. Get the right text "You are using Ubuntu 10.10 - the Maverick Meerkat - released in October 2010 and supported until April 2012."

----------
While testing some unrelated proposed updates I also updated 'ubuntu-docs' to 10.10.5 (maverick-proposed) and noticed that clicking on About Ubuntu then displayed Natty info, but upon downgrading to 10.10.4 (maverick-updates) About Ubuntu still displays, "You are using Ubuntu 11.04 - The Natty Narwhal - ..........".

Version 10.10.3 displays the proper info. This is a very minor thing but thought I should report it anyway. I will also reference this bug at bug 689789 so Martin Pitt knows about it.

ProblemType: BugDistroRelease: Ubuntu 10.10
Package: ubuntu-docs 10.10.4
ProcVersionSignature: Ubuntu 2.6.35-24.42-generic 2.6.35.8
Uname: Linux 2.6.35-24-generic i686
Architecture: i386
Date: Tue Dec 14 10:48:22 2010InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bashSourcePackage: ubuntu-docs

Erick Brunzell (lbsolost) wrote :
Robert Roth (evfool) on 2010-12-14
Changed in ubuntu-docs (Ubuntu):
status: New → Confirmed
cpatrick08 (cpatrick08) wrote :

in ubuntu 10.10 that i dual booted from the disk i got from shipit my about ubuntu reads 11.04 in 10.10 here is my about ubuntu http://imagebin.org/128014 and here is my sources.list http://imagebin.org/128015

cpatrick08 (cpatrick08) wrote :

i am us english btw

Robert Roth (evfool) wrote :

Thanks for reporting. This is a known issue caused by a bad commit changing the entities used in help for the Maverick branch too, not only for the Natty branch. This will be fixed soon, hopefully, it is a very simple fix.

Erick Brunzell (lbsolost) wrote :

I see at least two duplicates, bug 689211 and bug 690654 but they seem to be blaming yelp which I think is incorrect.

R. Drew Davis (drewclist) wrote :

This seems so reminiscent of bug 303578, and a bug I reported in March 2009 (329648), but back then ripping out yelp and the things that Synaptic decided were only there to support yelp (ubuntu-docs among the package removed when I uninstalled yelp),
then re-installing the packages and re-booting brought the About Ubuntu report to being correct. I'd fell a lot better if I understood how that worked out. Redoing those steps today on a 10.10 Maverick system (updated in November 2010 from a 10.04 system that had been installed from a distribution CD), the global.ent file still says its an 11.04 system. Puzzling is that lsb_release isn't mislead, but I didn't dig into source to find out where lsb_release is getting its information from.

The un-install takes away the "About Ubuntu" item from the "system" menu. Surprisingly asymmetrical, the re-install doesn't put that item back on the menu. That's done during the next reboot after the reinstall, I think.

R. Drew Davis (drewclist) wrote :

Confirmed that rebooting after the yelp, et al, re-install does make the "About Ubuntu" item in the System menu come back, but it still mistakenly thinks I'm runny natty, while "lsb_release -a" still correctly says I'm running Maverick, so definitely different from bug 303578 where the re-install and reboot fixed the problem, back in the day. Seems like something a regression test should watch for in future releases, not that I have any clue about what regression testing is part of Ubuntu's standard operating procedure for release cycles.

Matthew East (mdke) wrote :

Adding Martin Pitt and Jonathan Riddell, as the uploaders of ubuntu-docs 10.10.4 and 10.10.5 respectively, to cc. This problem seems to have occurred during upload of ubuntu-docs 10.10.4, which contained a vast number of changes which were not described in the changelog. I'm not sure how it got through the SRU process. This bug should have been pretty obvious from the debdiff.

Ubuntu-docs packages should never be uploaded without discussion with the ubuntu-docs team, particularly if changes are taken from the branches on Launchpad (as happened here). The ubuntu-docs team works on stable release updates with a particular procedure, which is required because most changes to ubuntu-docs break strings, and therefore will leave those strings untranslated if the translation teams are not first allowed an opportunity to translate the new strings, and translations must then be exported from Launchpad.

Is it possible to revert ubuntu-docs 10.10.4? I see this as a high priority bug.

Changed in ubuntu-docs (Ubuntu):
importance: Undecided → Critical
importance: Critical → High
Changed in ubuntu-docs (Ubuntu Maverick):
status: New → Confirmed
importance: Undecided → High
Martin Pitt (pitti) wrote :

Note that 10.10.5 got removed from -proposed again. What's the procedure to fix 10.10.4? Should I sponsor anything?

Changed in ubuntu-docs (Ubuntu):
status: Confirmed → Invalid
Changed in ubuntu-docs (Ubuntu Maverick):
status: Confirmed → Triaged
Stephan Harz (linden-940) wrote :

I have this bug as well and I am using 10.10

Corry Glockner (corrytonapple) wrote :

I have the same issue, and was redirected here when reporting a duplicate bug (695734). I am willing to test anything that may fix this.
Thanks

This bug was all ready talked here an not sure if anyone thought of a
fix as of yet.

On Fri, 2010-12-31 at 15:18 +0000, Todd A. wrote:
> I have the same issue, and was redirected here when reporting a duplicate bug (695734). I am willing to test anything that may fix this.
> Thanks
>

Amar N. Yadav (amaryadav-01) wrote :

Hi,

I downloaded 64bit Maverick from location "
http://www.ubuntu.com/desktop/get-ubuntu/download" and did a fresh install
on my 64bit hardware.
I found it is displaying correct info in "Abount Ubuntu". Not sure about
32bit.

--
--
Regards
Amar N. Yadav

On Fri, Dec 31, 2010 at 7:27 AM, Stephan Harz <email address hidden>wrote:

> This bug was all ready talked here an not sure if anyone thought of a
> fix as of yet.
>
> On Fri, 2010-12-31 at 15:18 +0000, Todd A. wrote:
> > I have the same issue, and was redirected here when reporting a duplicate
> bug (695734). I am willing to test anything that may fix this.
> > Thanks
> >
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (693053).
> https://bugs.launchpad.net/bugs/690248
>
> Title:
> In Maverick 'About Ubuntu' displays Natty info
>
> Status in “ubuntu-docs” package in Ubuntu:
> Invalid
> Status in “ubuntu-docs” source package in Maverick:
> Triaged
>
> Bug description:
> Binary package hint: ubuntu-docs
>
> While testing some unrelated proposed updates I also updated 'ubuntu-docs'
> to 10.10.5 (maverick-proposed) and noticed that clicking on About Ubuntu
> then displayed Natty info, but upon downgrading to 10.10.4
> (maverick-updates) About Ubuntu still displays, "You are using Ubuntu 11.04
> - The Natty Narwhal - ..........".
>
> Version 10.10.3 displays the proper info. This is a very minor thing but
> thought I should report it anyway. I will also reference this bug at bug
> 689789 so Martin Pitt knows about it.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: ubuntu-docs 10.10.4
> ProcVersionSignature: Ubuntu 2.6.35-24.42-generic 2.6.35.8
> Uname: Linux 2.6.35-24-generic i686
> Architecture: i386
> Date: Tue Dec 14 10:48:22 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> PackageArchitecture: all
> ProcEnviron:
> LANG=en_US.utf8
> SHELL=/bin/bash
> SourcePackage: ubuntu-docs
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/690248/+subscribe
>

@Amar N. Yadav: Perhaps that's because your fresh installation of Ubuntu doesn't have the maverick-proposed repository enabled in your sources.list file? That's the default for a fresh installation. If that's the case, then you have ubuntu-docs 10.10.3, which is the version just before this bug was introduced.

However, those of us who enable maverick-proposed still haven't received a fix via an update, so this bug has not yet been fixed.

Nobuto MURATA (nobuto) wrote :
Nobuto MURATA (nobuto) wrote :
Nobuto MURATA (nobuto) on 2011-01-02
description: updated
Nobuto MURATA (nobuto) wrote :

I prepared a patched package for testing. You can get it from the link below (currently building).
https://launchpad.net/~nobuto/+archive/experimental-packages/+sourcepub/1410681/+listing-archive-extra

Corry Glockner (corrytonapple) wrote :

The 5.9 MB file worked in changing the About Ubuntu to correct Info.
Thank you!

Nobuto MURATA (nobuto) on 2011-01-06
tags: added: regression-proposed
Aron Xu (happyaron) wrote :

I confirm patch in #15 by Nobuto MURATA can fix the problem.

Philip Muškovac (yofel) wrote :

The broken package is in maverick-updates so changing tag.

tags: added: regression-update
removed: regression-proposed
Omer Akram (om26er) wrote :

Could we fix this issue soonish please. people are reporting bugs with the mentions that they are using ubuntu-11.04 while they are on 10.10

Corry Glockner (corrytonapple) wrote :

Omer, please use the patch given by Nobuto MURATA, who posted it up above. Try it, it worked for me.

anabelli (anabelli) wrote :

let me clearly state that I love all this.. and what Canonical has done/is doing for open source.

But, one month to change a single string?
Who's kidding who?

Omer Akram (om26er) wrote :

i dont need the fix, i want it for users, I know which version of ubuntu I
am running ;-)

On Mon, Jan 17, 2011 at 9:47 PM, Todd A. <email address hidden> wrote:

> Omer, please use the patch given by Nobuto MURATA, who posted it up
> above. Try it, it worked for me.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (694558).
> https://bugs.launchpad.net/bugs/690248
>
> Title:
> In Maverick 'About Ubuntu' displays Natty info
>
> Status in “ubuntu-docs” package in Ubuntu:
> Invalid
> Status in “ubuntu-docs” source package in Maverick:
> Triaged
>
> Bug description:
> Binary package hint: ubuntu-docs
>
> [SRU for Maverick]
> * This bug makes users very confused because telling using 11.04 in spite
> of using 10.10.
> * This bug was introduced in Maverick SRU 10.10.4.
> * Just documentation fix.
> - debdiff:
> http://launchpadlibrarian.net/61514563/ubuntu-docs_10.10.4.debdiff
>
> TEST CASE:
> 1. Open "System" -> "About Ubuntu" from GNOME menu
> 2. Get the wrong text "You are using Ubuntu 11.04 - the Natty Narwhal -
> released in April 2011 and supported until October 2012."
> 3. upgrade to -proposed package
> 4. Get the right text "You are using Ubuntu 10.10 - the Maverick Meerkat
> - released in October 2010 and supported until April 2012."
>
> ----------
> While testing some unrelated proposed updates I also updated 'ubuntu-docs'
> to 10.10.5 (maverick-proposed) and noticed that clicking on About Ubuntu
> then displayed Natty info, but upon downgrading to 10.10.4
> (maverick-updates) About Ubuntu still displays, "You are using Ubuntu 11.04
> - The Natty Narwhal - ..........".
>
> Version 10.10.3 displays the proper info. This is a very minor thing
> but thought I should report it anyway. I will also reference this bug
> at bug 689789 so Martin Pitt knows about it.
>
> ProblemType: BugDistroRelease: Ubuntu 10.10
> Package: ubuntu-docs 10.10.4
> ProcVersionSignature: Ubuntu 2.6.35-24.42-generic 2.6.35.8
> Uname: Linux 2.6.35-24-generic i686
> Architecture: i386
> Date: Tue Dec 14 10:48:22 2010InstallationMedia: Ubuntu 10.04 LTS "Lucid
> Lynx" - Release i386 (20100429)
> PackageArchitecture: all
> ProcEnviron:
> LANG=en_US.utf8
> SHELL=/bin/bashSourcePackage: ubuntu-docs
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/690248/+subscribe
>

Samuel Tai (samuel-s-tai) wrote :

There's two options I can see to fix this for regular users:

1. Revert back to 10.10.3.
2. Fast-track Nobuto Murata's fixes from maverick-proposed to maverick-updates.

In the meantime, users are still confused, and spurious bug reports are still rolling in.

I filed the "spurious" Bug #706392, now marked a duplicate.

I searched for same bug before submitting, and found none of the prior reports, which may account for the large number of reports filed.

Oliver Grawert (ogra) wrote :

uploaded to maverick-proposed, SRU team, please approve

Accepted ubuntu-docs into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntu-docs (Ubuntu Maverick):
status: Triaged → Fix Committed
tags: added: verification-needed
Nobuto MURATA (nobuto) wrote :

Although I offered the debdiff, ubuntu-docs 10.10.4ubuntu0.1/maverick-proposed works fine.
Other testers are welcome.

Martin Pitt (pitti) on 2011-02-01
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-docs - 10.10.4ubuntu0.1

---------------
ubuntu-docs (10.10.4ubuntu0.1) maverick-proposed; urgency=low

  * libs/global.ent: change information from natty to maverick (LP: #690248)

ubuntu-docs (10.10.4) maverick-proposed; urgency=low

  * ldif at openldap installation is broken (LP: #677998)
    + serverguide/C/network-auth.xml
 -- Nobuto MURATA <email address hidden> Sun, 02 Jan 2011 08:43:28 +0900

Changed in ubuntu-docs (Ubuntu Maverick):
status: Fix Committed → Fix Released

I have 10.10 and my ubuntu doc say I have 11.04. I have updated to the last version as of 2011-04-24 and still have the problem. I also have proposed in my repository source. Therefore if I dont miss something, the bug is not fixed.

I have ubuntu-docs version: 10.10.4ubuntu0.1. And when I click on "About Ubuntu" in "System" it still says "You are using Ubuntu 11.04"

Eric (weisscoder) wrote :

I also have ubuntu-docs version 10.10.4ubuntu0.1 installed, and am using 10.10, and I see the correct version mentioned in "About Ubuntu". I am unsure why my experience differs from Nicolas'.

I have just checked on my system, which is fully updated (and thus running ubuntu-docs 10.10.5), and I have this problem again as well. I would be inclined to think that perhaps the bug is back as of 10.10.5...except that Nicolas is saying he has it with 10.10.4ubuntu0.1.

This bug *did* go away for me when the fix was first released. I think I verified that on the same machine as I am now seeing it on now...

I just saw Eric's post, which motivates me to ask two questions:

(1) Could what Nicolas and I are experiencing be a different, related bug, which has the same effect as this bug but which operates by a different mechanism and only affects some users but not others, even with the same ubuntu-docs package versions?

(2) Why do people (Nicolas, Eric) still have the now-old ubuntu-docs package version 10.10.4ubuntu0.1 instead of 10.10.5?

Regarding (2): A look at http://packages.ubuntu.com/search?keywords=ubuntu-docs&searchon=names&suite=all&section=all, and a closer look at the output of "apt-policy ubuntu-docs" on my system (this is shown in the screenshot I attached with comment #34), makes me wonder why *I* have ubuntu-docs 10.10.5. A look at https://launchpad.net/ubuntu/maverick/i386/ubuntu-docs/10.10.5 suggests that perhaps I have this package because it was issue to maverick-proposed, and then retracted. If it was retracted because it contained a bug like this bug, that would explain why I have the problem. But it would not explain why Nicolas has it, with ubuntu-docs 10.10.4ubuntu0.1.

The machine where I'm having this problem is a virtual machine, so I'm able to snapshot it and make changes I otherwise might not. So when I finished my work in the virtual machine, I created a snapshot, then removed ubuntu-docs and reinstalled it. This downgraded it from 10.10.5 to 10.10.4ubuntu0.1. That eliminated the problem--now, when I go to System > About Ubuntu, it again correctly indicates my Ubuntu release as 10.10.

@Nicolas Mongrain-Lacombe
Are you completely sure that your ubuntu-docs version is 10.10.4ubuntu0.1? Has it possibly been upgraded to 10.10.5 from maverick-proposed recently, triggering the behavior similar to this bug? What is the output of "apt-cache policy ubuntu-docs"? (The complete output will reveal not just the installed version but also what versions are available for your system from what software sources.)

I have check the ubuntu-docs version with "apt-cache show ubuntu-docs" but ill try with "apt-cache policy ubuntu-docs".
I dont know to what it updated recently cause I havent checked to what I updated but I know that I formated on 10.10 like less than 2 days ago.

*Try "apt-cache policy ubuntu-docs"*

output:
"ubuntu-docs:
  Installed: 10.10.4ubuntu0.1
  Candidate: 10.10.4ubuntu0.1
  Version table:
 *** 10.10.4ubuntu0.1 0
        500 http://ubuntu.mirror.iweb.ca/ maverick-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     10.10.3 0
        500 http://ubuntu.mirror.iweb.ca/ maverick/main amd64 Packages
"

The problem may comme from the fact that my .iso version of 10.10 may have the 10.10.4ubuntu0.1 version before the correct and that now it does not want to update to the correct version cause its the same version number (so it thinks its at the newest version already). Ill try to deinstall and reinstall it.

I did "sudo apt-get purge ubuntu-docs; apt-get clean; apt-get intall ubuntu-docs;" Then I rebooted and ubuntu docs still shows 11.04

Maybe my repository didnt updated yet? Can someone get the package from my repo and confirm?

@Nicolas Mongrain-Lacombe
To clarify, 10.10.4ubuntu0.1 *is* the correct version for you to have. My system had a later version installed from maverick-proposed, which had since been retracted and is no longer available. When I removed and reinstalled the ubuntu-docs package, I got 10.10.4ubuntu0.1 too. The difference between your system and mine is that on my system, since the downgrade back to (correct) version 10.10.4ubuntu0.1, I no longer experience the bug.

Packages downloaded and installed using Ubuntu's automated facilities are digitally signed, so unless you were warned, your package is the right one. But just to be sure, I downloaded http://ubuntu.mirror.iweb.ca/pool/main/u/ubuntu-docs/ubuntu-docs_10.10.4ubuntu0.1_all.deb and compared it byte-for-byte against https://launchpadlibrarian.net/63295589/ubuntu-docs_10.10.4ubuntu0.1_all.deb. There were no differences. I also compared against /var/cache/apt/archives/ubuntu-docs_10.10.4ubuntu0.1_all.deb on my system, and there were no differences. If you want, you can download the package from Launchpad (it's a small file so even if you have dial-up that shouldn't be a problem, and Launchpad uses https, so the download will be digitally signed and thus automatically verified) and compare the package in your local cache to it with the cmp utility.

no i was just confused and though for a moment that they changed the package ubuntu-docs 10.10.4ubuntu0.1 without changing the version but I guess they did change the package but changed the version also.

What I dont understand is that I have the good version of the package but still have the problem that "About Ubuntu" says "11.04"

Gogeden (ssjgoku75x) wrote :

I'm experiencing this as well. Talk about creeped out.

Linux Katormix 2.6.35-29-generic #51-Ubuntu SMP Fri Apr 15 17:13:54 UTC 2011 i686 GNU/Linux

@Nicolas Mongrain-Lacombe
Yes, considering that you're running ubuntu-docs 10.10.4ubuntu0.1 on Maverick, you should not be experiencing this problem. However, since this does not happen for some (probably most) people running that, perhaps it is a new bug.

@Martin Pitt (or any other developer involved in fixing or approving the fix to this bug)
Should the situation Nicolas is experiencing be reported as a separate bug, or should he reopen this bug, changing its status in Maverick from Fix Released to New?

@Gogeden
Since my experiencing a problem similar to Nicolas's turned out to be due to my running an old 10.10.5 package from maverick-proposed, I have not reproduced Nicolas's bug (i.e., this bug in its new manifestation). So you might be the first person who can do so. What is the output of "lsb_release -d; apt-cache policy ubuntu-docs"?

Matthew East (mdke) wrote :

No need for a new bug at this stage.

Could those people still seeing the bug state, as well as what version of ubuntu-docs they have, what language they are using - if you are using English, state which variant of English (e.g. British English, Canadian English).

Changed in ubuntu-docs (Ubuntu Maverick):
assignee: nobody → Matthew East (mdke)
Matthew East (mdke) wrote :

sorry, and also please state which version of the language-support-gnome-lang package you are using for your language.

Nobuto MURATA (nobuto) wrote :

I can confirm this issue. My locale is ja_JP, and language-pack-gnome-ja-base 1:10.10+20110315/maverick-updates contains Natty info in such as /usr/share/gnome/help-langpack/about-ubuntu/ja/about-ubuntu.xml

Because language-pack-gnome-ja-base 1:10.10+20100930/maverick has Maverick info, this time language-pack update (not ubuntu-docs) seems to alter distribution info.

ubuntu-docs 10.10.4ubuntu0.1
language-pack-gnome-ja-base 1:10.10+20110315

Matthew East (mdke) on 2011-05-04
Changed in ubuntu-docs (Ubuntu Maverick):
status: Fix Released → Confirmed
importance: High → Medium

My locale is: en_CA

version:
language-pack-gnome-en: 1:10.10+20110315
language-pack-gnome-en-base base: 1:10.10+20110315

Kemp (kemp-iualdii) wrote :

I have this problem.

locale: en_GB
ubuntu-docs: 10.10.4ubuntu0.1
language-pack-gnome-en: 1:10.10+20110315

Gabor Kelemen (kelemeng) on 2011-05-19
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → High
Gabor Kelemen (kelemeng) wrote :

We need to issue brand new gnome-base language packs to fix this in the translations too, at least for those languages that have this 20110305 gnome-base packages: ast, gv, hu, ja, pl, ru, sl.

Gabor Kelemen (kelemeng) wrote :

The full language packs were generated on 06.18, yet they do not contain the fixed strings for this bug.

Fausto Piovesan (faustop) wrote :

This bug is still present.
locale: pt_BR
ubuntu-docs: 10.10.4ubuntu0.1
language-pack-gnome-pt: 1:10.10+20110618

tags: added: testcase
Kevin Reid (mahalliner) wrote :

Any update on this bug?

Mossroy (mossroy) wrote :

I also experience this bug on 10.10 on 2 different computers.
It's a big issue because I thought these computers would have security updates until October 2012.
And I suddenly realise their support will end up ... next month (April 2012)...

locale : fr_FR
ubuntu-docs : 10.10.4ubuntu0.1
language-pack-gnome-fr : 1:10.10+20110619

It should be noted that this help screen is half translated in French. In particular, the first sentence that contains wrong information is still in English :
"You are using Ubuntu 11.04 - the Natty Narwhal - released in April 2011 and supported until October 2012.

Cette section est une introduction à Ubuntu..."

Gabor Kelemen (kelemeng) wrote :

I got earlier the communication from developers that this is no a critical problem (i.e. you can continue to use your system), and won't be fixed for Maverick - if this really bothers someone, she should upgrade her system.
And as Maverick is almost EOL, I'd recommend to upgrade your systems anyways.

Changed in ubuntu-translations:
status: Triaged → Won't Fix
Changed in ubuntu-docs (Ubuntu Maverick):
status: Confirmed → Won't Fix
To post a comment you must log in.